The BOOST_PP_BOOL macro performs a boolean conversion on its operand.

#### Usage

BOOST_PP_BOOL(x)

#### Arguments

x
  The value to be converted. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is 0, this macro expands to 0. Otherwise it expands to 1.

#### See Also

- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/logical/bool.hpp>

#### Sample Code

    #include <boost/preprocessor/logical/bool.hpp>

    BOOST_PP_BOOL(6) // expands to 1
    BOOST_PP_BOOL(0) // expands to 0

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)